summaryrefslogtreecommitdiffstats
path: root/source/x/scim-anthy/scim-anthy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/scim-anthy/scim-anthy.SlackBuild')
-rwxr-xr-xsource/x/scim-anthy/scim-anthy.SlackBuild32
1 files changed, 21 insertions, 11 deletions
diff --git a/source/x/scim-anthy/scim-anthy.SlackBuild b/source/x/scim-anthy/scim-anthy.SlackBuild
index 368506355..ee43c38bf 100755
--- a/source/x/scim-anthy/scim-anthy.SlackBuild
+++ b/source/x/scim-anthy/scim-anthy.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, MN USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -33,12 +33,22 @@
# -----------------------------------------------------------------------------
-PRGNAM=scim-anthy
-VERSION=${VERSION:-1.2.4}
-ARCH=${ARCH:-x86_64}
+PKGNAM=scim-anthy
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
NUMJOBS=${NUMJOBS:-" -j7 "}
BUILD=${BUILD:-2}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
LIBDIRSUFFIX=""
@@ -52,14 +62,14 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$PRGNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf ${PRGNAM}-${VERSION}
-tar -xvf $CWD/${PRGNAM}-${VERSION}.tar.gz || exit 1
-cd ${PRGNAM}-${VERSION} || exit 1
+rm -rf ${PKGNAM}-${VERSION}
+tar -xvf $CWD/${PKGNAM}-${VERSION}.tar.gz || exit 1
+cd ${PKGNAM}-${VERSION} || exit 1
zcat $CWD/scim-anthy.gcc43.diff.gz | patch -p1 --verbose || exit 1
@@ -87,10 +97,10 @@ make $NUMJOBS || make || exit 1
make DESTDIR=$PKG install || exit 1
# Add documentation:
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
ABOUT-NLS AUTHORS COPYING ChangeLog DIARY INSTALL NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+ $PKG/usr/doc/$PKGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Compress the man page(s):
@@ -109,5 +119,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz